org.kohsuke.stapler

## Class StaplerMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.kohsuke.stapler.StaplerMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Deprecated.
replaced by the apt mojo.

    public class StaplerMojo
    extends org.apache.maven.plugin.AbstractMojo

Looks for '@stapler-constructor' on a constructor.

Author:
  Kohsuke Kawaguchi

### Field Summary

Fields
`protected File` `classesDirectory` Deprecated. The directory to place generated property files.
`protected org.apache.maven.project.MavenProject` `project` Deprecated. The maven project.

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`StaplerMojo()` Deprecated.

### Method Summary

Methods
`void` `execute()` Deprecated.

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### project

    protected org.apache.maven.project.MavenProject project

Deprecated.
The maven project.

#### classesDirectory

    protected File classesDirectory

Deprecated.
The directory to place generated property files.

### Constructor Detail

#### StaplerMojo

    public StaplerMojo()

Deprecated.

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

Deprecated.

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`